# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::A3DSLoader Class Reference

The A3DSLoader class loads an Autodesk 3DS file and generates a vector of A3DSObject and A3DSMaterial objects. More...

`#include <vl3DS.hpp>`

List of all members.

## Public Member Functions
| A3DSLoader ()
bool | parse3DS (VirtualFile *file)
## Public Attributes
std::vector< A3DSObject > | mObjects
std::vector< A3DSMaterial > | mMaterials
## Protected Member Functions
fvec3 | readVec3 ()
fvec3 | readColByte3 ()
fvec3 | readColFloat3 ()
String | readLine ()
float | readWordPercent ()
float | readFloatPercent ()
void | readChunk ()
bool | skipChunk ()
void | read0x3D3D ()
fvec3 | readColChunk ()
float | readPercentChunk ()
void | read0xAFFF ()
A3DSTexture | readMapChunk ()
void | read0x4000 ()
void | read0x4100 ()
## Protected Attributes
VirtualFile * | mInputFile
unsigned short | mChunkId
unsigned int | mChunkLen
bool | mCorrupted

## Detailed Description

The A3DSLoader class loads an Autodesk 3DS file and generates a vector of A3DSObject and A3DSMaterial objects.

## Constructor & Destructor Documentation

A3DSLoader::A3DSLoader | ( |  | ) |

## Member Function Documentation

bool A3DSLoader::parse3DS | ( | VirtualFile * | file | ) |

fvec3 A3DSLoader::readVec3 | ( |  | ) | `[protected]`

fvec3 A3DSLoader::readColByte3 | ( |  | ) | `[protected]`

fvec3 A3DSLoader::readColFloat3 | ( |  | ) | `[protected]`

String A3DSLoader::readLine | ( |  | ) | `[protected]`

float A3DSLoader::readWordPercent | ( |  | ) | `[protected]`

float A3DSLoader::readFloatPercent | ( |  | ) | `[protected]`

void A3DSLoader::readChunk | ( |  | ) | `[protected]`

bool A3DSLoader::skipChunk | ( |  | ) | `[protected]`

void A3DSLoader::read0x3D3D | ( |  | ) | `[protected]`

fvec3 A3DSLoader::readColChunk | ( |  | ) | `[protected]`

float A3DSLoader::readPercentChunk | ( |  | ) | `[protected]`

void A3DSLoader::read0xAFFF | ( |  | ) | `[protected]`

A3DSTexture A3DSLoader::readMapChunk | ( |  | ) | `[protected]`

void A3DSLoader::read0x4000 | ( |  | ) | `[protected]`

void A3DSLoader::read0x4100 | ( |  | ) | `[protected]`

## Member Data Documentation

std::vector<A3DSObject> vl::A3DSLoader::mObjects

std::vector<A3DSMaterial> vl::A3DSLoader::mMaterials

VirtualFile* vl::A3DSLoader::mInputFile`[protected]`

unsigned short vl::A3DSLoader::mChunkId`[protected]`

unsigned int vl::A3DSLoader::mChunkLen`[protected]`

bool vl::A3DSLoader::mCorrupted`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vl3DS.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vl3DS.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:11 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.